Last Comment Bug 711125 - Make the debugger client's setBreakpoint pause the debuggee automatically
: Make the debugger client's setBreakpoint pause the debuggee automatically
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Debugger (show other bugs)
: Trunk
: All All
: P2 normal (vote)
: Firefox 13
Assigned To: Panos Astithas [:past] (away until 7/21)
:
Mentors:
Depends on: 690771
Blocks: 719122
  Show dependency treegraph
 
Reported: 2011-12-15 09:30 PST by Panos Astithas [:past] (away until 7/21)
Modified: 2012-02-10 07:29 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
WIP (5.57 KB, patch)
2011-12-16 10:27 PST, Panos Astithas [:past] (away until 7/21)
no flags Details | Diff | Splinter Review
Working patch (9.02 KB, patch)
2011-12-19 09:02 PST, Panos Astithas [:past] (away until 7/21)
dcamp: review+
Details | Diff | Splinter Review
Working patch v2 (8.71 KB, patch)
2012-01-23 01:13 PST, Panos Astithas [:past] (away until 7/21)
no flags Details | Diff | Splinter Review
[in-fx-team] Working patch v2.1 (8.71 KB, patch)
2012-02-09 03:05 PST, Panos Astithas [:past] (away until 7/21)
past: review+
Details | Diff | Splinter Review

Description Panos Astithas [:past] (away until 7/21) 2011-12-15 09:30:03 PST
Currently calling TC_setBreakpoint returns an error if the debuggee is running. It would be better for clients to make setBreakpoint interrupt the debuggee in such cases, set the breakpoint and resume.
Comment 1 Panos Astithas [:past] (away until 7/21) 2011-12-16 10:27:37 PST
Created attachment 582312 [details] [diff] [review]
WIP

This is still work in progress.
Comment 2 Panos Astithas [:past] (away until 7/21) 2011-12-19 09:02:15 PST
Created attachment 582846 [details] [diff] [review]
Working patch

I was stuck making the test work, until I realised that it uncovered a bug in the client request dispatcher. It now no longer confuses unsolicited notifications from the server as responses to active client requests. The unit test catches this, as well as any issues in the basic interrupt-then-breakpoint functionality.
Comment 3 Panos Astithas [:past] (away until 7/21) 2012-01-11 01:29:39 PST
This is ready to land after its dependencies are reviewed.
Comment 4 Panos Astithas [:past] (away until 7/21) 2012-01-23 01:13:51 PST
Created attachment 590654 [details] [diff] [review]
Working patch v2

Rebased on top of latest changes during super review.
Comment 5 Panos Astithas [:past] (away until 7/21) 2012-02-08 08:58:07 PST
Try run:

https://tbpl.mozilla.org/?tree=Try&rev=e808fa2475c6
Comment 6 Panos Astithas [:past] (away until 7/21) 2012-02-09 03:05:53 PST
Created attachment 595698 [details] [diff] [review]
[in-fx-team] Working patch v2.1

Updated patch metadata.
Comment 7 Panos Astithas [:past] (away until 7/21) 2012-02-10 02:10:01 PST
https://hg.mozilla.org/integration/fx-team/rev/9d7cb5d5b085
Comment 8 Tim Taubert [:ttaubert] 2012-02-10 07:29:17 PST
https://hg.mozilla.org/mozilla-central/rev/9d7cb5d5b085

Note You need to log in before you can comment on or make changes to this bug.